//
//  WebVC.swift
//  flyy_flutter_plugin
//
//  Created by Mac on 09/12/20.
//

import UIKit
import WebKit

class WebVC: UIViewController,WKNavigationDelegate {
    var webView: WKWebView!

    var getUrl:String = ""
    
    override func loadView() {
        webView = WKWebView()
        webView.navigationDelegate = self
        view = webView
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        let url = URL(string: getUrl)!
        webView.load(URLRequest(url: url))
        webView.allowsBackForwardNavigationGestures = true
        // Do any additional setup after loading the view.
    }
    
    private func webView(webView: UIWebView!, didFailLoadWithError error: NSError!) {
        print("Webview fail with error \(String(describing: error))");
    }
    
    private func webViewDidStartLoad(webView: UIWebView!) {
        print("Webview started Loading")
    }
    private func webViewDidFinishLoad(webView: UIWebView!) {
        print("Webview did finish load")
    }

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
